:root {
    --sidebar-bg: #FBFCFB; 
    --sidebar-hover: #eaeaea; 
    --sidebar-width: 280px;
    --submenu-active-bg: #0f75d4;
}

body {
    margin: 0;
    font-family: -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, sans-serif;
    overflow-x: hidden;
}

.wrapper {
    display: flex;
    min-height: 100vh;
    background-color: #f8f9fa;
}

.sidebar {
    width: var(--sidebar-width);
    background: var(--sidebar-bg);
    color: #1a1f2c;
    transition: transform 0.3s ease-in-out;
    height: 100vh;
    position: fixed;
    overflow-y: auto;
    z-index: 1000;
    border: none;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
}

.sidebar .logo {
    /* padding: 20px; */
    padding-left: 18px;
    /* text-align: center; */
    /* border-bottom: 1px solid #ddd; */
    border-bottom: 1px solid #fff;
}

.sidebar .logo img {
    width: 160px;
    height: auto;
    padding: 10px;
    padding-left: 0;
}

.sidebar-menu {
    padding: 0;
    list-style: none;
    margin: 0;
}

.sidebar-item {
    padding: 12px 20px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    cursor: pointer;
    color: #333;
    transition: all 0.3s;
}

.sidebar-item:hover {
    background: var(--sidebar-hover);
    color: #000;
}

.sidebar-menu .submenu {
    list-style: none;
    padding-left: 20px;
    margin: 0;
    display: none;
}

.sidebar-menu .submenu.active {
    display: block;
}

.sidebar-menu .submenu li {
    padding: 8px 15px;
    font-size: 0.9em;
    color: #555;
    cursor: pointer;
    transition: all 0.3s;
}

.sidebar-menu .submenu li:hover {
    background: var(--sidebar-hover);
    color: #000;
}

.sidebar-menu .submenu li.active {
    background-color: var(--submenu-active-bg);
    color: #fff;
}

.content {
    flex: 1;
    margin-left: var(--sidebar-width);
    padding: 20px;
    background: #fff;
    transition: margin-left 0.3s ease-in-out;
}

.content-header h1 {
    margin: 0;
    font-size: 2em;
    color: #1a1f2c;
    padding-bottom: 4px;
}

/* Nav Button */
#nav-button {
    padding: 10px;
    display: none;
    position: fixed;
    top: 20px; 
    left: 10px;
    z-index: 1001; 
    background: #282a36; 
    color: #fff;
    border: none;
    border-radius: 5px; 
    cursor: pointer;
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
}

#nav-button:hover {
    background: #44475a; 
}

.sidebar.show + #nav-button {
    left: calc(var(--sidebar-width) + 10px); 
}

.backdrop {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.5);
    z-index: 999;
    opacity: 0;
    transition: opacity 0.3s ease-in-out;
}

.backdrop.active {
    display: block;
    opacity: 1;
}
pre {
    display: block;
    margin-top: 0;
    margin-bottom: 1rem;
    overflow: auto;
    font-size: .875em
}
code {
    background: #f2f2f2;
    color: #252930;
    padding: 0.25rem 0.375rem;
    border-radius: .25rem
}
.hljs {
    display: block;
    overflow-x: auto;
    padding: 0.5em;
    color: #abb2bf;
    background: #56082f
}

.hljs-comment,.hljs-quote {
    color: #5c6370;
    font-style: italic
}

.hljs-doctag,.hljs-keyword,.hljs-formula {
    color: #c678dd
}

.hljs-section,.hljs-name,.hljs-selector-tag,.hljs-deletion,.hljs-subst {
    color: #e06c75
}

.hljs-literal {
    color: #56b6c2
}

.hljs-string,.hljs-regexp,.hljs-addition,.hljs-attribute,.hljs-meta-string {
    color: #98c379
}

.hljs-built_in,.hljs-class .hljs-title {
    color: #e6c07b
}

.hljs-attr,.hljs-variable,.hljs-template-variable,.hljs-type,.hljs-selector-class,.hljs-selector-attr,.hljs-selector-pseudo,.hljs-number {
    color: #d19a66
}

.hljs-symbol,.hljs-bullet,.hljs-link,.hljs-meta,.hljs-selector-id,.hljs-title {
    color: #61aeee
}

.hljs-emphasis {
    font-style: italic
}

.hljs-strong {
    font-weight: bold
}

.hljs-link {
    text-decoration: underline
}
.rounded {
    border-radius: .25rem !important;
}

@media (max-width: 768px) {
    #nav-button {
        display: block;
    }

    .sidebar {
        transform: translateX(-100%);
    }

    .sidebar.show {
        transform: translateX(0);
    }

    .content {
        padding-top: 5rem;
        margin-left: 0;
        width: 100%;
    }
}
